package com.bocloud.cmp.model.hmc;

public class HmdServerHeaPhysicalPortModel extends HmdGenericModel {
    private String connectionSpeed; // 传输速率
    private Boolean linkUp; // 连接状态
    private String duplexMode; // 双工
    private Boolean flowControl; // 流控状态
    private Boolean transmitFlowControl; // 传输流控状态
    private Boolean receiveFlowControl; // 接收流控状态
    private String maxReceivePacket; // 最大接收数据包大小
    private String portLocation; // 端口位置
    private Integer portId; // 端口id
    private String portType; // 端口类型
    private Integer portGroupId; // 端口组id
    private Integer multiCoreScaling; // 多核心等级
    private String supportedMultiCoreScaling; // 支持的多核心等级
    private String owner; // 所有者
    private HmdServerHeaModel hea; // 所属hea

    public String getConnectionSpeed() {
        return connectionSpeed;
    }

    public void setConnectionSpeed(String connectionSpeed) {
        this.connectionSpeed = connectionSpeed;
    }

    public Boolean getLinkUp() {
        return linkUp;
    }

    public void setLinkUp(Boolean linkUp) {
        this.linkUp = linkUp;
    }

    public String getDuplexMode() {
        return duplexMode;
    }

    public void setDuplexMode(String duplexMode) {
        this.duplexMode = duplexMode;
    }

    public Boolean getFlowControl() {
        return flowControl;
    }

    public void setFlowControl(Boolean flowControl) {
        this.flowControl = flowControl;
    }

    public Boolean getTransmitFlowControl() {
        return transmitFlowControl;
    }

    public void setTransmitFlowControl(Boolean transmitFlowControl) {
        this.transmitFlowControl = transmitFlowControl;
    }

    public Boolean getReceiveFlowControl() {
        return receiveFlowControl;
    }

    public void setReceiveFlowControl(Boolean receiveFlowControl) {
        this.receiveFlowControl = receiveFlowControl;
    }

    public String getMaxReceivePacket() {
        return maxReceivePacket;
    }

    public void setMaxReceivePacket(String maxReceivePacket) {
        this.maxReceivePacket = maxReceivePacket;
    }

    public String getPortLocation() {
        return portLocation;
    }

    public void setPortLocation(String portLocation) {
        this.portLocation = portLocation;
    }

    public Integer getPortId() {
        return portId;
    }

    public void setPortId(Integer portId) {
        this.portId = portId;
    }

    public String getPortType() {
        return portType;
    }

    public void setPortType(String portType) {
        this.portType = portType;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public Integer getMultiCoreScaling() {
        return multiCoreScaling;
    }

    public void setMultiCoreScaling(Integer multiCoreScaling) {
        this.multiCoreScaling = multiCoreScaling;
    }

    public String getSupportedMultiCoreScaling() {
        return supportedMultiCoreScaling;
    }

    public void setSupportedMultiCoreScaling(String supportedMultiCoreScaling) {
        this.supportedMultiCoreScaling = supportedMultiCoreScaling;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public HmdServerHeaModel getHea() {
        return hea;
    }

    public void setHea(HmdServerHeaModel hea) {
        this.hea = hea;
    }
}
